package com.guadou.cs_router;

/**
 * 常量-ARouter的路由参数
 * 加载注解上的路径
 * 注意：1.注解一定是在Kotlin文件上的 只有Kotlin的Kapt注解处理器
 * 2.一定按格式来 不同的模块加不同的group(第一个'/'中的内容为group)
 */
public class ARouterPath {

    //App模块路由服务Path
    public static final String PATH_SERVICE_APP = "/app/path/service";

    //Auth模块路由服务Path
    public static final String PATH_SERVICE_AUTH = "/auth/path/service";
    //登录页面
    public static final String PATH_AUTH_PAGE_LOGIN = "/auth/page/login";

    //Main模块路由服务Path
    public static final String PATH_SERVICE_MAIN = "/main/path/service";
    //首页Main页面
    public static final String PATH_MAIN_PAGE_MAIN = "/main/page/main";

    //PartTime模块路由服务Path
    public static final String PATH_SERVICE_PARTTIME = "/parttime/path/service";

    //EWallet模块路由服务Path
    public static final String PATH_SERVICE_WALLET = "/wallet/path/service";

    //Rewards模块路由服务Path
    public static final String PATH_SERVICE_REWARDS = "/rewards/path/service";

    //Service模块路由服务Path
    public static final String PATH_SERVICE_SERVER = "/service/path/service";

}
